using System;

internal sealed class Delegate594 : MulticastDelegate
{
	public extern TimeSpan Invoke(long long_0);

	public static TimeSpan smethod_0(long long_0, Delegate594 delegate594_1)
	{
		return delegate594_1(long_0);
	}

	public extern Delegate594(object object_0, IntPtr intptr_0);

	static Delegate594()
	{
		Class10.smethod_13(typeof(Delegate594).TypeHandle);
	}

	internal static Delegate594 delegate594_0;
}
